#include <bits/stdc++.h>
using namespace std;
long long n,m;
int main(){
    cin >> n >> m;
    if(n%2!=0 and m%2!=0){
        cout <<n*m-((((n-2)*(m-2))/2)+1)<<endl;
    }
    else
    if(n%2==0 or m%2==0){
        cout <<(n*m)-((n-2)*(m-2))/2 << endl;
    }
    return 0;
}